Create Disposition
curl --request POST \
--url https://api.agents.timepay.ai/api/v1/dispositions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"priority": 123
}
'import requests
url = "https://api.agents.timepay.ai/api/v1/dispositions"
payload = {
"name": "<string>",
"description": "<string>",
"priority": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', priority: 123})
};
fetch('https://api.agents.timepay.ai/api/v1/dispositions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Disposition created successfully",
"data": {
"id": "NiciJNJoGytGUGiyhqgK",
"name": "Pay in Coming Days/Weeks",
"description": "Mark if customer says they will pay next day or after few days.",
"priority": 0,
"createdAt": "2025-02-06T09:02:03",
"updatedAt": "2025-02-06T09:02:03"
}
}
{
"success": false,
"message": "Validation failed",
"errors": [
"name is required and must be a non-empty string"
]
}
{
"success": false,
"message": "Disposition with name \"Pay in Coming Days/Weeks\" already exists"
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Dispositions
Create Disposition
Create a new disposition for call classification
Create Disposition
Overview
Create a new disposition to classify call outcomes in your campaigns.Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Request Body
string
required
Disposition name (max 100 characters)
string
Detailed description of when to use this disposition (max 1000 characters)
integer
default:"500"
Priority level from 0-1000 (0 = highest priority)
Response
boolean
Indicates if the request was successful
string
Response message
object
{
"success": true,
"message": "Disposition created successfully",
"data": {
"id": "NiciJNJoGytGUGiyhqgK",
"name": "Pay in Coming Days/Weeks",
"description": "Mark if customer says they will pay next day or after few days.",
"priority": 0,
"createdAt": "2025-02-06T09:02:03",
"updatedAt": "2025-02-06T09:02:03"
}
}
{
"success": false,
"message": "Validation failed",
"errors": [
"name is required and must be a non-empty string"
]
}
{
"success": false,
"message": "Disposition with name \"Pay in Coming Days/Weeks\" already exists"
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Error Codes
| Status | Description |
|---|---|
400 | Validation error - check the errors array for details |
401 | Unauthorized - Invalid or missing API key |
403 | Forbidden - Missing required permissions |
409 | A disposition with this name already exists |
500 | Internal server error |

